SIGSUM-KEY-TO-VKEY(1)

NAME
sigsum-key-to-vkey - convert public key in OpenSSH format to vkey format

SYNOPSIS
sigsum-key to-vkey [--help] [-k key-file] [-n key-name] [-o output-file] [-t type]

DESCRIPTION
Read a public key in OpenSSH format and output it in vkey format. The public key is read on stdin and output is written on stdout. Override the default behavior using the -k and -o options.

It is assumed that a vkey for a sigsum log server is requested unless the -n option is provided. I.e., the vkey name defaults to the log's origin line 'sigsum.org/v1/tree/<key hash>' and the ed25519 type (-t).

Use the -n and -t options to encode vkeys for witness cosigning. The best practise is to use a schemaless URL for the name, e.g., foo.example.org and example.org/bar would be two good examples.

OPTIONS

--help
    Show usage message and exit

-k, --key=key-file

    Public key in OpenSSH format

-n, --name=key-name

    Name of the public key

-o, --output=output-file

    Public key in vkey format

-t, --type=type
    Available types: ed25519, cosignature/v1 [ed25519]

RETURN CODES
A non-zero return code is used to indicate failure.

CONTACT
Send an email to the sigsum-general mailing list at sigsum-general@lists.sigsum.org. You can also reach out in room #sigsum at OFTC.net and matrix.org.

REPORTING BUGS
Use the issue tracker located at https://git.glasklar.is/sigsum/core/sigsum-go/-/issues. To file issues without a GitLab account, send an email to sigsum-core-sigsum-go-issues@incoming.glasklar.is and wait for a maintainer to make the issue public.

SEE ALSO
sigsum-key-from-hex(1) sigsum-key-from-vkey(1) sigsum-key-generate(1) sigsum-key-sign(1) sigsum-key-to-hash(1) sigsum-key-to-hex(1) sigsum-key-to-vkey(1) sigsum-key-verify(1) sigsum-monitor(1) sigsum-policy(1) sigsum-submit(1) sigsum-token(1) sigsum-tools(5) sigsum-verify(1)